Zum Hauptinhalt springen
GET
/
checkout
/
carts
/
{id}
cURL
curl -X GET \
 /checkout/carts/{id} \
 --header "Authorization: Bearer <token>"
{
  "id": "c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b",
  "status": "open",
  "customer": "c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b",
  "customerEmail": {
    "email": "john.doe@example.com",
    "receiverName": "John Doe",
    "type": "TYPE_COMPANY",
    "id": "00000000-0000-0000-0000-000000000000",
    "default": "true"
  },
  "invoiceAddress": {
    "id": "<string>",
    "vatId": "DE123456789",
    "type": "TYPE_DEFAULT",
    "default": "true",
    "status": "active",
    "city": "Berlin",
    "zip": "12345",
    "street": "Musterstraße",
    "houseNumber": "1a",
    "countryCode": "DE",
    "companyName": "ACME Inc.",
    "salutation": "Herr",
    "addition": "c/o John Doe",
    "costCentre": "123456789",
    "firstName": "John",
    "lastName": "Doe"
  },
  "paymentMethod": "c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "redirectUrl": "<string>",
  "items": [
    {
      "id": "<string>",
      "product": {
        "type": "product",
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "name": "Basic",
        "description": "For small teams.",
        "invoiceVisibility": "always",
        "customFields": {
          "field1": "value1",
          "field2": "value2"
        }
      },
      "pricePlan": {
        "type": "flat_fee",
        "currencyCode": "EUR",
        "price": {
          "amount": 123,
          "createdAt": "2021-01-01T00:00:00+00:00",
          "updatedAt": "2021-01-01T00:00:00+00:00",
          "tenantId": "<string>"
        },
        "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
        "applyTrial": true,
        "payInAdvance": true,
        "proRata": true,
        "freeUnits": 1,
        "billingInterval": "1M",
        "showPricePerInterval": "1M"
      },
      "quantity": 1,
      "type": "product",
      "periods": [
        {
          "id": "<string>",
          "contractPeriodCount": 123,
          "contractPeriod": {},
          "cancellationPeriod": {}
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "invoice": {
    "id": "00000000-0000-0000-0000-000000000000",
    "customer": {
      "id": "00000000-0000-0000-0000-000000000000",
      "customerNumber": "CUSTOMER-000",
      "timeZone": "Europe/Berlin",
      "firstName": "John",
      "lastName": "Doe",
      "currencyCode": "EUR",
      "companyName": "Acme Inc.",
      "datevId": "123456789",
      "status": "STATUS_ACTIVE"
    },
    "paymentMethod": {
      "id": "c1a2b3c4-d5e6-4f7a-8b9b-0c1d2e3f4a5b",
      "gatewayName": "wallet",
      "type": "sepa_debit",
      "default": true,
      "status": "active",
      "enabled": true,
      "name": "Visa (4242)",
      "creationDate": "2024-01-15T10:30:00+00:00",
      "expirationDate": "2026-12-31T23:59:59+00:00",
      "card": {
        "brand": "Visa",
        "last4": "4242",
        "expMonth": 12,
        "expYear": 2022,
        "cardHolder": "Max Mustermann"
      },
      "sepaDebit": {
        "iban": "DE8937*********3232",
        "bic": "COBADEFFXXX",
        "mandateReference": "MNDT-2021-123456",
        "signingDate": "2021-01-01T00:00:00+00:00"
      },
      "paypal": {
        "email": "max@mustermann.de",
        "billingAgreementId": "I-1J5gqz2eZvKYlo2C2X2X2X2X"
      }
    },
    "type": "TYPE_INVOICE",
    "currencyCode": "EUR",
    "number": "RE-0000000001",
    "status": "STATUS_DRAFT",
    "finalizationDate": "2023-11-07T05:31:56Z",
    "dueDate": "2023-11-07T05:31:56Z",
    "dunningLevel": 123,
    "dunningStatus": "none",
    "payDate": "2023-11-07T05:31:56Z",
    "invoiceAddress": "<unknown>",
    "internalNote": "This invoice is with a special discount.",
    "netAmount": {},
    "grossAmount": {},
    "taxAmount": {},
    "customFields": {
      "field1": "value1",
      "field2": "value2"
    },
    "unpaidAmount": {}
  },
  "subscription": {
    "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
    "externalId": "<string>",
    "number": "S-00000001",
    "name": "Fitness M",
    "billingGroup": {},
    "periods": [
      {
        "id": "<string>",
        "contractPeriodCount": 123,
        "contractPeriod": {},
        "cancellationPeriod": {}
      }
    ],
    "status": "active",
    "activatedAt": "2021-01-01T00:00:00+00:00",
    "poNumber": "PO-00000001",
    "contractDetails": {
      "contractStart": "2023-11-07T05:31:56Z",
      "contractEnd": "2023-11-07T05:31:56Z"
    },
    "trialEndsOn": "2021-01-01T00:00:00+00:00",
    "customFields": {
      "field1": "value1",
      "field2": "value2"
    },
    "nextBillingDate": "2023-11-07T05:31:56Z",
    "lastBillingAt": "2023-11-07T05:31:56Z",
    "partner": {
      "id": "ad8f7e7d-3b3b-4b3b-8b3b-3b3b3b3b3b3b",
      "name": "John Doe",
      "number": "123456",
      "email": "partner@example.com"
    }
  },
  "metadata": {
    "yourKey": "value"
  },
  "transactions": [
    {
      "id": "ad8f1c2c-3b1c-4b0a-8b0a-0b0b0b0b0b0b",
      "type": "payment",
      "status": "new",
      "description": "Payment for invoice #123",
      "documentNumber": "123456789",
      "currencyCode": "EUR",
      "amount": 500,
      "refundedAmount": 123,
      "chargedAmount": 500,
      "feeAmount": 50,
      "createdAt": "2023-11-07T05:31:56Z",
      "paidAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.fynn.eu/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

id
string
erforderlich

Cart identifier

Antwort

Cart resource

id
string
read-only
Beispiel:

"c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b"

status
any
Standard:open
read-only

The status of the cart.

Possible values:

  • open: The cart is open and can be edited.
  • confirming: The cart is confirming and cannot be edited.
Beispiel:

"open"

customer
object

The customer who owns the cart.

Beispiel:

"c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b"

customerEmail
object

The customer email which is used for the cart.

invoiceAddress
object
paymentMethod
object

The payment method which should be used for the cart.

Beispiel:

"c1b0d0c0-0b0b-4b0b-8b0b-0b0b0b0b0b0b"

createdAt
string<date-time>
read-only
updatedAt
string<date-time>
read-only
completedAt
string<date-time> | null
read-only
redirectUrl
string | null
read-only
items
object[]

The items of the cart.

invoice
object

The invoice of the cart. If the cart total amount is zero, no invoice will be created.

subscription
object

The subscription of the cart. If the cart has no recurring items (has only one-time fees), no subscription will be created.

metadata
string[]

A collection of key-value pairs that can be linked to an object. This feature is beneficial for storing extra details regarding the object in an organized manner. To remove all keys, simply submit an empty value to the metadata.

Beispiel:
{ "yourKey": "value" }
transactions
object[]
read-only

The transactions of the cart.